Bug 218890 - security/keepassxc: Update to 2.1.4, make autotype and KeePassHTTP support options
Summary: security/keepassxc: Update to 2.1.4, make autotype and KeePassHTTP support op...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D10623
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-26 14:48 UTC by Tobias Kortkamp
Modified: 2017-05-09 09:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (melanhit)


Attachments
keepassxc.diff (1.76 KB, patch)
2017-04-26 14:48 UTC, Tobias Kortkamp
tobik: maintainer-approval-
Details | Diff
keepassxc_update (2.45 KB, patch)
2017-05-03 23:06 UTC, Andrew Romanenko
no flags Details | Diff
patch (2.48 KB, patch)
2017-05-06 08:00 UTC, Andrew Romanenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-04-26 14:48:27 UTC
Created attachment 182100 [details]
keepassxc.diff

Update to 2.1.4

- Make autotype and KeePassHTTP support options (enabled by default)
- Enable tests

Changes:	https://github.com/keepassxreboot/keepassxc/releases/tag/2.1.4
Comment 1 Andrew Romanenko 2017-05-03 23:06:22 UTC
Created attachment 182290 [details]
keepassxc_update

improved version of your patch
Comment 2 Tobias Kortkamp freebsd_committer 2017-05-04 17:02:04 UTC
Previously autotype and KeePassHTTP were enabled by default.  Now you
have disabled them by default.  Why?  If we do this I would like to
justify this in some way in the commit message.

I think it is better to leave them on by default for users who do not
build their own packages.  I suggest adding

OPTIONS_DEFAULT=	AUTOTYPE HTTP

again like I have done in my original proposal.

+TEST_CMAKE_BOOL=	WITH_TESTS WITH_GUI_TESTS

Making tests an option is ok, but then you also need to set

TEST_TEST_TARGET=    test

so that the tests can actually be run via `make test` in the port's
directory.

+AUTOTYPE_USE=		QT5=x11extras
+AUTOTYPE_LIB_DEPENDS=	XORG=xi xtst

This is wrong and the port cannot possibly build with this when
AUTOTYPE=on.  Separating the dependencies makes sense if they are not
needed when AUTOTYPE=off, but the above should be

AUTOTYPE_USE= QT5=x11extras XORG=xi,xtst
Comment 3 Andrew Romanenko 2017-05-06 08:00:45 UTC
Created attachment 182327 [details]
patch

sorry for send previous wrong patch, working patch is attached
Comment 4 commit-hook freebsd_committer 2017-05-09 09:27:14 UTC
A commit references this bug:

Author: tobik
Date: Tue May  9 09:26:05 UTC 2017
New revision: 440478
URL: https://svnweb.freebsd.org/changeset/ports/440478

Log:
  Update to 2.1.4

  - Add AUTOTYPE and HTTP options (enabled by default) to allow
    disabling autotype and KeePassHTTP support
  - Make it possible to run KeePassXC's test suite

  PR:		218890
  Submitted by:	melanhit@gmail.com (maintainer)
  Approved by:	lme (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10623

Changes:
  head/security/keepassxc/Makefile
  head/security/keepassxc/distinfo
  head/security/keepassxc/pkg-plist